// File:      App.h
// Author:    Philip Rideout
// Brief:     Application interface.

#pragma once

struct IApp
{
    virtual ~IApp() {}
    virtual void Update() = 0;
    virtual void Draw() const = 0;
    virtual void OnKey(char) = 0;
};

IApp* CreateApp();
